#eureka client配置
eureka.client.serviceUrl.defaultZone: http://admin:prolog00212@192.168.1.88:8761/eureka/
eureka.instance.appGroupName: jxyj
prolog.tx.url: http://192.168.1.88:7001/tx/manager/
prolog.auth.redis.namespace: "upcloud-rdc-plgyc:"

spring:
  application:
    name: upcloud-base-wh-outbound
  #redis配置
  redis:
    host: 192.168.1.88
    port: 6379
    password: prolog0212
    database: 0
  #链路跟踪
  zipkin:
    sender.type: rabbit
    rabbitmq.queue: trace
  sleuth:
    enable: false
    sampler:
      probability: 1.0
  rabbitmq:
    host: 192.168.1.88
    port: 5672
    username: root
    password: prolog0212
    virtual-host: /upcloud-yj
  datasource:
    driverClassName: com.mysql.jdbc.Driver
    url: jdbc:mysql://192.168.1.90:3306/upcloud_biz_outbound_yj?useSSL=false&serverTimezone=CTT&useUnicode=true&characterEncoding=utf-8&allowMultiQueries=true
    username: root
    password: prolog0212
    #使用druid数据源
    initialSize: 0 #初始化大小
    minIdle: 5 #最小空閒
    maxActive: 50 #最大連接數
    maxWait: 6000 #最大等待時間
    minEvictableIdleTimeMillis: 25200000
    removeAbandonedTimeoutMillis: 600000
  flyway:
    enabled: true
    locations: classpath:db/migration
    baseline-on-migrate: true
    clean-disabled: true
    table: schema_version
    baseline-version: -1
prolog:
  interface:
    cacheType: redis
    cacheKey: inf-retry-log
    autoClearLog: true
    logKeepDay: 10
  alarm:
    type: event
    url: http://service-ops/noticeEvent/notice
  dao:
    dialect: mysql
    performance:
      enable: true
      showSql: true
    mybatis:
      mapperLocations: classpath:mappers/mysql/*.xml
  security:
    accessTokenValiditySeconds: 3600
    refreshTokenValiditySeconds: 30000
  service:
    operate: upcloud-base-wh-operate
    inventory: upcloud-base-inventory
    item: upcloud-base-item
    strategy: upcloud-base-strategy
    warehouse: upcloud-base-wh
    inbound: upcloud-base-wh-inbound
    control: upcloud-base-wh-control
    chain: upcloud-base-chain
    power: service-platform-power-base
    eis: service-eis-master-hnsyy
    gsp: upcloud-base-gsp
  serarch:
    url: http://service-data-api-base/search
mq:
  wave:
    response:
      queueName: waveResponseQueue
      topicName: topic.wave.response
eis:
  infTaskOutUrl: http://192.168.1.200:10001/api/jxyjrh/wms2eis/outBound
  billPriorityUrl: http://192.168.1.200:10001/api/v1/wms/tsyxj
oms:
  outComingRecordBack: http://192.168.1.59:10001/api/oms/jxyj/outcomingBack
  orderStatusBack: http://192.168.1.59:10001/api/oms/statusBack
  omsPackingBack: http://192.168.1.59:10001/api/oms/packBack
logging:
  config: classpath:log4j2-test.xml
  level.root: info

